<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "car_none".
 *
 * @property int $id
 * @property int $car_id
 * @property string $car_no
 * @property string $created_at
 * @property string $updated_at
 */
class CarNone extends \common\models\Base
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'car_none';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['car_id'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['car_no'], 'string', 'max' => 100],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'car_id' => 'Car ID',
            'car_no' => 'Car No',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
