<?php

namespace common\models;

use Yii;

/**

 */
class FixCarF extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'fix_finance_f';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['fix_id', 'car_no', 'total_price', 'real_price', 'gap_price', 'pay_type', 'banks', 'pay_state', 'bill_price', 'examine', 'business_type'], 'required'],
            [['id', 'fix_id', 'pay_state', 'banks', 'examine', 'pay_type'], 'integer'],
            [['total_price', 'real_price', 'gap_price', 'bill_price'], 'number'],
            [['car_no', 'id_man', 'engine_no', 'gap_reason', 'baoanhao', 'gift_no', 'company'], 'string', 'max' => 200],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'fix_id' => 'Fix ID',
            'car_no' => '车牌号',
            'id_man' => '车主',
            'engine_no' => '进厂日期',
            'total_price' => '应结金额',
            'real_price' => '到账金额',
            'gap_price' => '结算差价',
            'gap_reason' => '差额原因',
            'pay_type' => '支付方式',
            'banks' => '银行',
            'pay_state' => '支付状态',
            'baoanhao' => 'Baoanhao',
            'bill_price' => '挂账金额',
            'gift_no' => '礼品券编号',
            'examine' => '审核状态',
            'business_type' => '业务类型',
            'company' => '保险公司',
        ];
    }
}
