<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "car_log_t".
 *
 * @property integer $id
 * @property integer $car_id
 * @property string $op_man
 * @property integer $op_time
 * @property string $group_name
 * @property integer $type
 * @property string $remark
 * @property string $info
 * @property string $created_at
 * @property string $updated_at
 */
class GiftUseLogT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'gift_use_log_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['gift_use_id', 'op_man', 'op_time'], 'required'],
            [['gift_use_id', 'op_time','type'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['op_man'], 'string', 'max' => 50],
            [['group_name', 'remark','info'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'gift_use_id' => 'Gift Use ID',
            'op_man' => 'Op Man',
            'op_time' => 'Op Time',
            'group_name' => 'Group Name',
            'type' => 'Type',
            'remark' => 'Remark',
            'info' => 'Info',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}