<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "non_log_t".
 *
 * @property integer $id
 * @property integer $non_id
 * @property string $op_man
 * @property integer $op_time
 * @property string $group_name
 * @property integer $type
 * @property string $remark
 * @property string $info
 * @property string $created_at
 * @property string $updated_at
 */
class NonLogT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'non_log_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['non_id', 'op_man', 'op_time', 'remark'], 'required'],
            [['non_id', 'op_time', 'type'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['op_man'], 'string', 'max' => 50],
            [['group_name', 'remark'], 'string', 'max' => 100],
            [['info'], 'string', 'max' => 200],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'non_id' => 'Non ID',
            'op_man' => 'Op Man',
            'op_time' => 'Op Time',
            'group_name' => 'Group Name',
            'type' => 'Type',
            'remark' => 'Remark',
            'info' => 'Info',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
