<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "scooter_list_t".
 *
 * @property integer $id
 * @property string $car_no
 * @property string $car_man
 * @property string $check_car_at
 * @property integer $is_lend
 * @property string $lend_at
 * @property string $created_at
 * @property string $updated_at
 */
class ScooterListT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'scooter_list_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['check_car_at', 'lend_at', 'created_at', 'updated_at'], 'safe'],
            [['is_lend'], 'integer'],
            [['car_no', 'car_man'], 'string', 'max' => 50],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'car_no' => 'Car No',
            'car_man' => 'Car Man',
            'check_car_at' => 'Check Car At',
            'is_lend' => 'Is Lend',
            'lend_at' => 'Lend At',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
