<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "car_t".
 *
 * @property integer $id
 * @property integer $user_id
 * @property integer $car_type_id
 * @property integer $car_use_id
 * @property string $car_no
 * @property string $factory_model
 * @property string $car_model
 * @property string $register_date
 * @property string $insurer1_date
 * @property string $insurer2_date
 * @property string $id_man
 * @property string $id_number
 * @property string $engine_no
 * @property string $car_frame_no
 * @property integer $brand_id
 * @property integer $series_id
 * @property integer $displacement_id
 * @property string $car_year
 * @property integer $seats
 * @property string $car_man
 * @property string $phone
 * @property string $weixin
 * @property string $remark
 * @property integer $location
 * @property integer $invalid_flag
 * @property integer $invalid_id
 * @property string $print_date
 * @property string $car_man_number
 * @property integer $is_track
 * @property integer $times
 * @property string $old_user
 * @property string $company
 * @property string $op_user1
 * @property string $op_user2
 * @property string $op_user3
 * @property string $from_src
 * @property string $created_at
 * @property string $updated_at
 */
class TestX extends \common\models\Base
{

    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'test_x';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [

            [['register_date', 'insurer1_date'], 'safe'],
            [['car_no'], 'string', 'max' => 50],

        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',

        ];
    }


}
