<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "zhongji_tiaojian".
 *
 * @property int $id
 * @property string $baofei 保费限制
 * @property string $xianzhong_one n选一险种
 * @property string $xianzhong_two n选2险种
 * @property string $car_type_id 车辆类型
 * @property string $car_use_id 车辆使用性质
 * @property string $max_cashback 返现最大额度
 * @property int $type 1返现2提成3礼品4礼券
 * @property string $created_at
 * @property string $updated_at
 */
class ZhongjiTiaojian extends \common\models\Base
{
    /**
     * {@inheritdoc}
     */
    public $faxianxianzhong_arr;
    public $faxianxianzhong_rate_arr;
    public $faxianxianzhong2_arr;
    public $faxianxianzhong1_arr;
    public $tichengXianzhong_arr;
    public $tichengXianzhong1_arr;
    public $tichengXianzhong2_arr;
    public $tichengXianzhong_rate_arr;
    public $gift_none_arr;
    public $gift_none_arr_two;
    public $gift_none_arr_three;
    public $gift_none_arr_four;
    public $gift_free_arr;
    public $gift_free_num_arr;
    public $gift_money_arr;
    public $gift_money_price_arr;
    public $gift_money_num_arr;
    public $quan_none_arr;
    public $quan_none_arr_two;
    public $quan_none_arr_three;
    public $quan_none_arr_four;
    public $quan_free_arr;
    public $quan_free_num_arr;
    public $quan_money_arr;
    public $quan_money_price_arr;
    public $quan_money_num_arr;

    public $gift_none_arr_id;
    public $gift_none_arr_two_id;
    public $gift_none_arr_three_id;
    public $gift_none_arr_four_id;
    public $gift_free_arr_id;
    public $gift_money_arr_id;

    public $quan_none_arr_id;
    public $quan_none_arr_two_id;
    public $quan_none_arr_three_id;
    public $quan_none_arr_four_id;
    public $quan_free_arr_id;
    public $quan_money_arr_id;

    public $fanxian_kehu_id;
    public $fanxian_zuigao_id;




    public static function tableName()
    {
        return 'zhongji_tiaojian';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['celuo_id'], 'integer'],
            [['baofei'], 'number'],
            [['type'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['xianzhong_one', 'xianzhong_two', 'car_type_id', 'car_use_id'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'baofei' => 'Baofei',
            'xianzhong_one' => 'Xianzhong One',
            'xianzhong_two' => 'Xianzhong Two',
            'car_type_id' => 'Car Type ID',
            'car_use_id' => 'Car Use ID',
            'type' => 'Type',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
    public function getFanxian()
    {
        return $this->hasMany(ZhongjiFanxianT::className(),['tiaojian_id'=>'id']);
    }
    public function getTicheng()
    {
        return $this->hasMany(ZhongjiTichengT::className(),['tiaojian_id'=>'id']);
    }
}
