<table id="car-appointment-grid" ></table>
<script>
    $(function(){
        //表格列表
        $('#car-appointment-grid').datagrid({
            url: '/car/appointment-json-data?car_id=<?=$car_id?>',
            method:'GET',
            idField: 'id',
            rownumbers: true,
            pagination: true,
            singleSelect: true,
            pageSize: 20,
            pageList: [20,30,50],
            fitColumns: true,
            striped: true,
            toolbar: [{
                iconCls: 'icon-reload',
                text:'刷新',
                handler: function() {
                    $('#car-appointment-grid').datagrid('reload');
                }
            }],
            columns: [[
                { field: 'pdate', title: '预约日期'},
                { field: 'ptime', title: '预约时间',align:'center'},
                { field: 'remark', title: '备注',width:300 },
                { field: 'user', title: '操作者'}
            ]]
        });
    });
</script>
