<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    //详情
    function info(id,index) {
        var params = $('#searchForm').serialize();
        window.location.href = '/car/info?id=' + id + '&type=<?=$type?>' + '&next_index=' + index + '&back_params=' + encodeURIComponent(params);
    }

    $(function(){
        $("#search-btn").click(function(){
            $('#page').val(1);
            var params = $('#searchForm').serialize();
            window.location.href = "/appointment/today?" + params;
        });
    });
</script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <input type="hidden" id="page" name="page" value="<?=$page?>">
        <tr>
            <td class="td_bg">
                车主：<input name="car_man" type="text" value="<?=$car_man?>">
                电话：<input name="phone" type="text" value="<?=$phone?>">
                车牌：<input name="car_no" type="text" value="<?=$car_no?>">
                预约类型：<select name="ptype">
                    <option value="0">全部类型</option>
                    <?php foreach($list as $k=>$v){ ?>
                        <option value='<?= $v->code; ?>' <?php if($ptype == $v->code){ echo 'selected'; } ?> ><?= $v->name; ?></option>
                    <?php } ?>
                </select>
                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索"> </td>
        </tr>
        <tr>
            <td class="td_bg">
                排序：<select name="sort_key">
                    <option value="appointment_t.pdate" <?=$sort_key=='appointment_t.pdate'?'selected':''?>>按预约时间</option>
                    <option value="car_t.register_date" <?=$sort_key=='car_t.register_date'?'selected':''?>>按初登时间</option>
                    <option value="car_t.insurer1_date" <?=$sort_key=='car_t.insurer1_date'?'selected':''?>>按商业保险时间</option>
                    <option value="car_t.insurer2_date" <?=$sort_key=='car_t.insurer2_date'?'selected':''?>>按商业保险时间</option>
                </select>
                <select name="sort_value">
                    <option value="ASC" <?=$sort_value=='ASC'?'selected':''?>>顺序</option>
                    <option value="DESC" <?=$sort_value=='DESC'?'selected':''?>>倒序</option>
                </select>
            </td>
        </tr>
    </form>
</table>
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <tr>
        <td width="24" align="center" class="bg_tr">序号</td>
        <td width="50" align="center" class="bg_tr">预约日期</td>
        <td width="50" align="center" class="bg_tr">预约时间</td>
        <td width="70" align="center" class="bg_tr">车牌号</td>
        <td width="120" align="center" class="bg_tr">车主</td>
        <td width="70" align="center" class="bg_tr">初登日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>商业起保日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>交强起保日期</td>
        <td width="200" align="center" class="bg_tr">预约备注</td>
        <td width="30" align="center" class="bg_tr">业务员</td>
        <td width="30" align="center" class="bg_tr">操作</td>
    </tr>
    <?php
    foreach($items as $index => $item) {
        $start_index = ($page-1) * 20 + $index;
        $car_info = $item->car;
        ?>
        <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
            <td align="center" class="td_bg"nowrap ><?=$start_index+1?></td>
            <td align="center" class="td_bg" nowrap><?=$item->pdate?></td>
            <td align="center" class="td_bg" nowrap><?=$item->ptime?></td>
            <td class="td_bg" nowrap><?=$car_info->car_no?></td>
            <td class="td_bg" nowrap><?=$car_info->car_man?></td>
            <td class="td_bg" nowrap><?=$car_info->register_date?></td>
            <td class="td_bg" nowrap><?=$car_info->insurer1_date?></td>
            <td class="td_bg" nowrap><?=$car_info->insurer2_date?></td>
            <td class="td_bg" ><?=MyLib::substr_cut($item->remark,40)?></td>
            <td class="td_bg" nowrap><?=$item->user?$item->user->getShowName():''?></td>
            <td align="center" class="td_bg" nowrap>
                [<a href="javascript:void(0);" onclick="info(<?=$item->car_id?>,<?=$start_index?>)">详情</a>]
            </td>
        </tr>
        <?php
    }
    ?>
    <tr>
        <td height="25" colspan="11" align="center" class="td_bg"><?=$page_info?></td>
    </tr>
</table>
