<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "insurer_company_t".
 *
 * @property integer $id
 * @property string $name
 * @property string $sam
 * @property string $created_at
 * @property string $updated_at
 */
class InsurerCompanyT extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'insurer_company_t';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['difc'], 'integer'],
            [['created_at', 'updated_at'], 'safe'],
            [['name','sam'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'sam' => 'SAM',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
