<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "zhongji_gift_t".
 *
 * @property int $id
 * @property int $celuo_id
 * @property int $fanxian_id
 * @property int $n n值
 * @property int $gift_type 1礼品2礼券
 * @property int $free_type 1免费2收费
 * @property string $gift_ids 礼品
 * @property string $gift_price 额度
 * @property int $gift_num 礼品数量
 * @property string $created_at
 * @property string $updated_at
 */
class ZhongjiGiftT extends \common\models\Base
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'zhongji_gift_t';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['celuo_id', 'fanxian_id', 'n', 'gift_type', 'free_type'], 'integer'],
            [['gift_ids'], 'string'],
            [['created_at', 'updated_at'], 'safe'],

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'celuo_id' => 'Celuo ID',
            'fanxian_id' => 'Fanxian ID',
            'n' => 'n',
            'gift_type' => 'Gift Type',
            'free_type' => 'Free Type',
            'gift_ids' => 'Gift Ids',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
