<?php
use \common\libs\MyLib;
?>
<link rel="stylesheet" href="/js/fileupload/css/jquery.fileupload.css">
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <form id="theFrm">
        <tr>
            <td align="center" width="100" height="25" class="td_bg">导入类型</td>
            <td height="25" class="td_bg">数据导入</td>
        </tr>

        <tr>
            <td align="center" width="100" height="25" class="td_bg">批对日期</td>
            <td height="25" class="td_bg">
                <input type="text" name="urlfile" id="urlfile" style="width: 300px;">
                <input id="fileupload" type="file" name="file">
            </td>
        </tr>
    </form>
    <tr>
        <td height="22" colspan="2" align="center" class="td_bg">
            <input id="submit-btn" type=button class="ACT_btn" name=Submit1 value=" 提交 "/>
            &nbsp;&nbsp;
            <input type="button" class="ACT_btn" name="Submit3" value=" 刷新 " onclick="window.location.reload();">
        </td>
    </tr>
</table>


<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/datepicker/WdatePicker.js"></script>
<script type="text/javascript" language="javascript" src="/js/fileupload/js/vendor/jquery.ui.widget.js"></script>
<script type="text/javascript" language="javascript" src="/js/fileupload/js/jquery.iframe-transport.js"></script>
<script type="text/javascript" language="javascript" src="/js/fileupload/js/jquery.fileupload.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    //编辑


    $(function () {
        //上传按钮
        $('#upload-btn').click(function(){
            $('#fileupload').click();
        });

        //提交按钮
        $("#submit-btn").click(function(){
            if(confirm('是否确认提交?')) {
                var urlfile = $("#urlfile").val();
                var import_type = $(".import_type").val();
                if(urlfile == ''){
                    alert('请先选择文件！');
                    return false;
                }
                var last_url = '/finance/imports1';
                var params = $("#theFrm").serialize();

                $.post(last_url,params,function(obj){
                    alert(obj.msg);
                    if(obj.success){
                        $('#theFrm')[0].reset();
                        window.location.reload();
                    }
                },'json');
            }
        });
        //上传
        $('#fileupload').fileupload({
            url: '/finance/receipt-upload',
            dataType: 'json',
            done: function (e, data) {
                var file_info = data.result.files[0];
                $('#urlfile').val(file_info.url);
                $('#submit-btn').removeAttr('disabled');
            }
        });
        //搜索
        $("#search-btn").click(function(){
            $('#page').val(0);
            var params = $('#searchForm').serialize();
            window.location.href = "/finance/receipt3?" + params;
        });
        //导出
        $("#output-btn").click(function(){
            $('#page').val(0);
            var params = $('#searchForm').serialize();
            window.location.href = "/finance/receipt3-output?" + params;
        });

    })
</script>
<style>
    input[type="text"] {
        width: 134px;
    }

</style>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <input type="hidden" id="page" name="page" value="<?=$page?>">
        <tr>
            <td class="td_bg">
                <!--新增搜索项-->
                <!--完成程度-->
                保险日期：
                <input name="year" class="day_date"  type="text" value="<?=$year?>" style="width:30px;" placeholder="年份">年
                <input name="month" class="day_date"  type="text" value="<?=$month?>" style="width:30px;" placeholder="月份">月
                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索">
                <input type="button" class="act_btn" id="output-btn" name="output-btn" value="导出">
            </td>
        </tr>
    </form>
</table>
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <tr>
        <td width="24" align="center" class="bg_tr">序号</td>
        <td align="center" class="bg_tr">车牌号</td>
        <td align="center" class="bg_tr">车架号</td>
        <td align="center" class="bg_tr">发动机号</td>
        <td align="center" class="bg_tr">初登日期</td>
        <td align="center" class="bg_tr">保险日期</td>
    </tr>
    <?php
    foreach($items as $index => $item) {
        $start_index = ($page-1)*20+$index;
        ?>
        <tr style="height:24px;" onMouseOver="overColor(this)" onMouseOut="outColor(this)">
            <td align="center" class="td_bg" nowrap><?=$start_index+1?></td>
            <td align="center" class="td_bg" nowrap><?=$item->car_no?></td>
            <td align="center" class="td_bg" nowrap><?=$item->car_frame_no?></td>
            <td align="center" class="td_bg" nowrap><?=$item->engine_no?></td>
            <td align="center" class="td_bg" nowrap><?=$item->register_date?></td>
            <td align="center" class="td_bg" nowrap><?=$item->insurer1_date?></td>
        </tr>
        <?php
    }
    ?>

    <tr >
        <td height="25" colspan="4" align="center" class="td_bg">总计：<?=$total?>条</td>
    </tr>

</table>