<?php
use \common\libs\MyLib;
use common\models\PriceT;

?>
<?php $this->beginBlock('header_css'); ?>
<link href="/assets/css/plugins/bootstrap-table/bootstrap-table.min.css" rel="stylesheet">
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <form class="form-horizontal" id="orderFrm">
        <input type="hidden" name="car_id" value="<?=$order_info->car_id?>">
        <input type="hidden" name="order_id" value="<?=$order_info->id?>">
        <input type="hidden" name="fanxian_id" value="<?=$order_info->fanxian_id?>">
        <input type="hidden" name="celuo_id" value="<?=$order_info->celuo_id?>">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>保单信息</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <th class="bg-warning">车牌号</th>
                        <td><label><?=$order_info->car_no?></label></td>
                        <th class="bg-warning" nowrap>初登日期</th>
                        <td><label><?=$car_info->register_date?></label></td>
                        <th class="bg-warning" nowrap>座位数</th>
                        <td><label><?=$order_info->seats?></label></td>
                        <th class="bg-warning" nowrap>电子邮件</th>
                        <td><label><?=$order_info->email?></label></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">车型</th>
                        <td><label><?=$car_info->factory_model?></label></td>
                        <th class="bg-warning" nowrap>发动机号</th>
                        <td><label><?=$order_info->engine_no?></label></td>
                        <th class="bg-warning" nowrap>车架号</th>
                        <td><label><?=$order_info->car_frame_no?></label></td>
                        <th class="bg-warning" nowrap>&nbsp;</th>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <th class="bg-warning">车主</th>
                        <td><label><?=$order_info->car_man?></label></td>
                        <th class="bg-warning">证件类型</th>
                        <td><label><?=$order_info->car_man_type?></label>
                        </td>
                        <th class="bg-warning">证件号码</th>
                        <td><label><?=$order_info->car_man_number?></label></td>
                        <th class="bg-warning">联系电话</th>
                        <td><label><?=$order_info->car_man_phone?></label></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">被投保人</th>
                        <td><label><?=$order_info->id_man?></label></td>
                        <th class="bg-warning">证件类型</th>
                        <td><label><?=$order_info->id_man_type?></label>
                        </td>
                        <th class="bg-warning">证件号码</th>
                        <td><label><?=$order_info->id_man_number?></label></td>
                        <th class="bg-warning">联系电话</th>
                        <td><label><?=$order_info->id_man_phone?></label></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">投保人</th>
                        <td><label><?=$order_info->link_man?></label></td>
                        <th class="bg-warning">证件类型</th>
                        <td><label><?=$order_info->link_man_type?></label>
                        </td>
                        <th class="bg-warning">证件号码</th>
                        <td><label><?=$order_info->link_man_number?></label></td>
                        <th class="bg-warning">联系电话</th>
                        <td><label><?=$order_info->link_man_phone?></label></td>
                    </tr>
                    <tr>
                        <th class="bg-warning" nowrap>商业起保日期</th>
                        <td>
                            <label><?=$order_info->insurer1_begin_date?></label>
                        </td>
                        <th class="bg-warning" nowrap>交强起保日期</th>
                        <td>
                            <label><?=$order_info->insurer2_begin_date?></label>
                        </td>
                        <th class="bg-warning">保险公司</th>
                        <td>
                            <label><?=$order_info->company->name?></label>
                        </td>
                        <th class="bg-warning">车辆使用类型</th>
                        <td class="form-inline" nowrap>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>险种</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <?php
                        $len = count($insurer_type_items);
                        $index = 0;
                        for($i = 0; $i < $len; $i++) {
                            $item = $insurer_type_items[$i];
                            $order_id = $order_info->id;
                            if(!$order_id)
                                $order_id = 0;
                            $tmp_row = PriceT::find()
                                ->where('order_id='.$order_id.' and type_id='.$item->id)
                                ->one();
                            if($tmp_row->val == '') continue;
                            ?>
                            <th class="bg-warning">
                                <?=$item->name?>(<?=$item->code?>)
                            </th>
                            <td><label><?=$tmp_row->val?></label></td>
                            <td><label><?=(!empty($tmp_row) && $tmp_row->is_nopay == 1)?'不计免赔':''?></label></td>
                            <?php
                            if(($index+1)%3==0) {
                                echo '</tr>';
                                echo '<tr>';
                            }
                            $index++;
                        }
                        ?>
                    </tr>
                </table>
            </div>
        </div>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>保费信息</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <th class="bg-warning">商业总净保费</th>
                        <td><label><?=$order_info->total1_clear?></label></td>
                        <th class="bg-warning">商业含税总保费</th>
                        <td><label><?=$order_info->total1?></label></td>
                        <th class="bg-warning">车船税</th>
                        <td><label><?=$order_info->total3?></label></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">交强总净保费</th>
                        <td><label><?=$order_info->total2_clear?></label></td>
                        <th class="bg-warning">交强含税总保费</th>
                        <td><label><?=$order_info->total2?></label></td>
                        <th class="bg-warning">&nbsp;</th>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <th class="bg-warning">折扣后商业净保费</th>
                        <td><label><?=$order_info->total1_real?></label></td>
                        <th class="bg-warning">减免金额</th>
                        <td><label><?=$order_info->total1_dis?></label></td>
                        <th class="bg-warning">商业折扣率</th>
                        <td><label><?=$order_info->total1_percent?></label></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">共计签单</th>
                        <td><label><?=$order_info->total_all?></label></td>
                        <th class="bg-warning">应收</th>
                        <td><label><?=$order_info->total_real?></label></td>
                        <th class="bg-warning">&nbsp;</th>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <th class="bg-warning">备注</th>
                        <td colspan="5"><label><?=$order_info->price_remark?></label></td>
                    </tr>
                </table>
            </div>
        </div>
        <div id="gifts">
        </div>
        <div id="quans">
        </div>
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>其他信息</h5>
            </div>
            <div class="ibox-content">
                <table class="table table-bordered">
                    <tr>
                        <th class="bg-warning">领款人</th>
                        <td><label><?=$order_info->money_man?></label></td>
                        <th class="bg-warning">开户行</th>
                        <td><label><?=$order_info->money_bank?></label></td>
                        <th class="bg-warning">银行账号</th>
                        <td><label><?=$order_info->money_no?></label></td>
                    </tr>
                    <tr>
                        <th class="bg-warning">送单地址</th>
                        <td colspan="5" class="form-inline">
                            <label><?=$order_info->sendCity?$order_info->sendCity->name:''?></label>
                            <label><?=$order_info->sendDistrict?$order_info->sendDistrict->name:''?></label>
                            <label><?=$order_info->send_address?></label>
                        </td>
                    </tr>
                    <tr>
                        <th class="bg-warning">备注</th>
                        <td colspan="5"><label><?=$order_info->remark?></label></td>
                    </tr>
                </table>
                <div>
                    <div class="row">
                        <div class="col-sm-5 col-sm-offset-4">
                            <?php if($order_info->gift_status == 0) { ?>
                            <button type="button" class="btn btn-primary btn-save" type="button">
                                <strong>确认礼品</strong>
                            </button>
                            <?php } ?>
                            <?php if($order_info->gift_status == 1 && $my_id == 1) { ?>
                            <button type="button" class="btn btn-primary btn-cancel" type="button">
                                <strong>取消确认</strong>
                            </button>
                            <?php } ?>
                            <button type="button" class="btn btn-primary btn-back" type="button">
                                <strong>返 回</strong>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>


<?php $this->beginBlock('footer_js'); ?>
<script>
    function getGifts(fanxian_id) {
        $.get('/marketing-strategy/get-gifts?type=1&order_id=<?=$order_info->id?>&fanxian_id=' + fanxian_id, function(obj){
            if(obj.success) {
                var html = '<div class="ibox float-e-margins">';
                html += '<div class="ibox-title">';
                html += '<h5>礼品</h5>';
                html += '</div>';
                html += '<div class="ibox-content">';
                obj.gifts.forEach(function(item, index) {
                    html += '<table class="table table-bordered">';
                    html += '<tr>';
                    html += '<th class="bg-warning">' + item.free_type + '</th>';
                    html += '</tr>';
                    html += '<tr>';
                    html += '<td>';
                    item.gifts.forEach(function(sub_item, sub_index) {
                        <?php if($order_info->gift_status == 0) { ?>
                        html += '<div class="checkbox checkbox-inline">';
                        html += '<input type="checkbox" id="gift_' + item.id + '_' + sub_item.id + '" name="gift_ids[]" value="' + item.id + '-' + sub_item.id + '"';
                        if(sub_item.selected == 1)
                            html += ' checked ';
                        html += '>';
                        html += '<label for="gift_' + item.id + '_' + sub_item.id + '">' + sub_item.name + '</label>';
                        html += '</div>';
                        <?php } else { ?>
                        if(sub_item.selected == 1)
                            html += '<div class="col-sm-4">' + sub_item.name + '</div>';
                        <?php } ?>
                    });
                    html += '</td>';
                    html += '</tr>';
                    html += '</table>';
                });
                html += '</div>';
                html += '</div>';
                $('#gifts').html(html);
            } else {
                //parent.layer.msg(obj.msg);
            }
        }, 'json');
        $.get('/marketing-strategy/get-gifts?type=2&order_id=<?=$order_info->id?>&fanxian_id=' + fanxian_id, function(obj){
            if(obj.success) {
                var html = '<div class="ibox float-e-margins">';
                html += '<div class="ibox-title">';
                html += '<h5>礼券</h5>';
                html += '</div>';
                html += '<div class="ibox-content">';
                obj.gifts.forEach(function(item, index) {
                    html += '<table class="table table-bordered">';
                    html += '<tr>';
                    html += '<th class="bg-warning">' + item.free_type + '</th>';
                    html += '</tr>';
                    html += '<tr>';
                    html += '<td>';
                    item.gifts.forEach(function(sub_item, sub_index) {
                        <?php if($order_info->gift_status == 0) { ?>
                        html += '<div class="checkbox checkbox-inline">';
                        html += '<input type="checkbox" id="gift_' + item.id + '_' + sub_item.id + '" name="gift_ids[]" value="' + item.id + '-' + sub_item.id + '"';
                        if(sub_item.selected == 1)
                            html += ' checked ';
                        html += '>';
                        html += '<label for="gift_' + item.id + '_' + sub_item.id + '">' + sub_item.name + '</label>';
                        html += '</div>';
                        <?php } else { ?>
                        if(sub_item.selected == 1) {
                            html += '<div class="col-sm-4">' + sub_item.name;
                            if(sub_item.img_src != '') {
                                html += '<a href="' + sub_item.img_src + '" target="_blank"><i class="fa fa-image"></i></a>';
                            }
                            html += '</div>';
                        }
                        <?php } ?>
                    });
                    html += '</td>';
                    html += '</tr>';
                    html += '</table>';
                });
                html += '</div>';
                html += '</div>';
                $('#quans').html(html);
            } else {
                //parent.layer.msg(obj.msg);
            }
        }, 'json');
    }
    var o = {};
    //判断是否填写了选项
    function isNull(data){

        if(data == "" || data == undefined || data == null){
            return true;
        }else{
            return false;
        }
    }

    $(function() {
        $('.btn-back').click(function() {
            window.location.href = '/insurer/my-list';
        });
        getGifts(<?=$order_info->fanxian_id?>);

        $('.btn-save').click(function () {
            parent.layer.confirm('注意：一旦确认礼品修改，则无法修改更换礼品?？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                parent.layer.confirm('再次确认修改礼品？', {
                    btn: ['确认','取消'], //按钮
                    shade: false //不显示遮罩
                }, function(){
                    var params = $('#orderFrm').serialize();
                    $.post('/insurer/gift-save',params,function(data) {
                        parent.layer.msg(data.msg);
                        window.location.reload();
                    }, 'json');
                }, function(){
                    //
                });
            }, function(){
                //
            });
        });
        <?php if($order_info->gift_status == 1 && $my_id == 1) { ?>
        layer.config({extend: 'extend/layer.ext.js'});
        $('.btn-cancel').click(function () {
            layer.confirm('此操作将回滚礼品状态，删除已生成礼物记录，确定继续？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                layer.prompt({
                    formType: 2,
                    title: '礼品状态回退理由',
                }, function(value, index){
                    $.post('/insurer/gift-cancel',{order_id:<?=$order_info->id?>,return_msg:value},function(data) {
                        layer.alert(data.msg,function () {
                            window.location.reload();
                        });
                    }, 'json');
                    layer.close(index);
                });
            }, function(){
                //
            });
        });
        <?php } ?>
    });
</script>
<?php $this->endBlock(); ?>
