<?php
use \common\libs\MyLib;
?>
<?php $this->beginBlock('header_css'); ?>
<?php $this->endBlock(); ?>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-content">
            <form role="form" class="form-horizontal" id="theFrm" onsubmit="return false;">
                <input type="hidden" name="celuo_id" value="<?=$celuo_id?>">
                <div class="form-group">
                    <label class="col-sm-2 control-label">保费</label>
                    <div class="col-sm-4">
                        <div class="input-group">
                            <input type="text" id="baofei" name="baofei" class="form-control" autocomplete="off" placeholder="">
                            <div class="input-group-addon">元</div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">车牌类型</label>
                    <div class="col-sm-4">
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_type_id_1" name="car_type_id[]" value="1">
                            <label for="car_type_id_1">京牌</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_type_id_2" name="car_type_id[]" value="2">
                            <label for="car_type_id_2">非京牌</label>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">保费公司</label>
                    <div class="col-sm-10">
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="company_id_1" name="company_id[]" value="1">
                            <label for="company_id_1">人保</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="company_id_4" name="company_id[]" value="4">
                            <label for="company_id_4">太平洋</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="company_id_7" name="company_id[]" value="7">
                            <label for="company_id_7">人寿</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="company_id_8" name="company_id[]" value="8">
                            <label for="company_id_8">平安</label>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">车牌使用性质</label>
                    <div class="col-sm-9">
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_1" name="car_use_id[]" value="1">
                            <label for="car_use_id_1">家庭自用车</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_2" name="car_use_id[]" value="2">
                            <label for="car_use_id_2">党政机关、事业团体</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_3" name="car_use_id[]" value="3">
                            <label for="car_use_id_3">非营业企业客车</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_4" name="car_use_id[]" value="4">
                            <label for="car_use_id_4">不区分营业非营业</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_5" name="car_use_id[]" value="5">
                            <label for="car_use_id_5">出租租赁</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_6" name="car_use_id[]" value="6">
                            <label for="car_use_id_6">营业货车</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_7" name="car_use_id[]" value="7">
                            <label for="car_use_id_7">非营业货车</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="car_use_id_8" name="car_use_id[]" value="8">
                            <label for="car_use_id_8">城市公交</label>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">数据类型</label>
                    <div class="col-sm-4">
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="type_id_1" name="type_id[]" value="1">
                            <label for="type_id_1">新保</label>
                        </div>
                        <div class="checkbox checkbox-inline">
                            <input type="checkbox" id="type_id_2" name="type_id[]" value="2">
                            <label for="type_id_2">续保</label>
                        </div>
                    </div>
                </div>
                <hr>
                <div class="form-group">
                    <label class="col-sm-2 control-label">客户返现</label>
                    <div class="col-sm-4">
                        <div class="input-group">
                            <input type="text" id="rate" name="rate" class="form-control" autocomplete="off">
                            <div class="input-group-addon">%</div>
                        </div>
                    </div>
                    <label class="col-sm-2 control-label">最高返现</label>
                    <div class="col-sm-4">
                        <div class="input-group">
                            <input type="text" id="max_cashback" name="max_cashback" class="form-control" autocomplete="off">
                            <div class="input-group-addon">元</div>
                        </div>
                    </div>
                </div>
                <button type="button" class="col-sm-offset-2 btn btn-primary btn-save">保存</button>
            </form>
        </div>
    </div>
</div>

<?php $this->beginBlock('footer_js'); ?>
<script type="text/javascript" language="javascript">
    $(function () {
        //提交按钮
        $(".btn-save").click(function(){
            parent.layer.confirm('是否确认提交？', {
                btn: ['确认','取消'], //按钮
                shade: false //不显示遮罩
            }, function(){
                var params = $("#theFrm").serialize();
                $.post('/marketing-strategy/fanxian-save',params,function(obj){
                    if(obj.success) {
                        parent.layer.msg('保存成功');
                        parent.readFanXians();
                        layer_close();
                    } else {
                        layer.msg(data.msg);
                    }
                },'json');
            }, function(){
                //
            });
        });
    })
</script>
<?php $this->endBlock('footer_js'); ?>
