<?php
use \common\libs\MyLib;
?>
<script type="text/javascript" language="javascript" src="/js/jquery-1.8.3.js"></script>
<script type="text/javascript" language="javascript" src="/js/ajax.js"></script>
<script type="text/javascript" language="javascript" src="/js/func.js"></script>
<script type="text/javascript" language="javascript">
    //详情
    function info(id,index) {
        var params = $('#searchForm').serialize();
        window.location.href = '/car/info-track?id=' + id + '&type=<?=$type?>' + '&next_index=' + index + '&back_params=' + encodeURIComponent(params);
    }
    function infos(id,index) {
        var params = $('#searchForm').serialize();
        window.location.href = '/car/info-track-fix?id=' + id + '&type=<?=$type?>' + '&next_index=' + index + '&back_params=' + encodeURIComponent(params);
    }

    $(function(){
        $("#search-btn").click(function(){
            $('#page').val(1);
            var params = $('#searchForm').serialize();
            window.location.href = "/track/first?" + params;
        });
        $('.invalid-btn').click(function(){
            if(confirm('是否确认无效?')) {
                var params = $('#listForm').serialize();
                var invalid_id = $('#invalid_id').val();
                params = params + '&invalid_id=' + invalid_id;
                $.post('/track/invalid-c',params,function(obj){
                    alert(obj.msg);
                    if(obj.success) {
                        window.location.reload();
                    }
                },'json');
            }
        });
        $('#all').click(function(){
            if($(this).prop('checked')==true) {
                $('input:checkbox').each(function() {
                    $(this).prop('checked', true);
                });
            } else {
                $('input:checkbox').each(function () {
                    $(this).prop('checked',false);
                });
            }
        });
    });
</script>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="table">
    <form id="searchForm">
        <input type="hidden" id="page" name="page" value="<?=$page?>">
        <tr>
            <td class="td_bg">
                车主：<input name="car_man" type="text" value="<?=$car_man?>" style="width: 100px;">
                电话：<input name="phone" type="text" value="<?=$phone?>" style="width: 100px;">
                车牌：<input name="car_no" type="text" value="<?=$car_no?>" style="width: 100px;">
                <?php
                if($this->context->my->role_id != 5) {
                    ?>
                    工号：<input name="username" type="text" value="<?=$username?>" style="width: 100px;">
                    <?php
                }
                ?>
                排序：<select name="sort_key">
                    <option value="appointment_t.pdate" <?=$sort_key=='appointment_t.pdate'?'selected':''?>>预约时间</option>
                    <option value="car_t.register_date" <?=$sort_key=='car_t.register_date'?'selected':''?>>初登时间</option>
                    <option value="car_t.insurer1_date" <?=$sort_key=='car_t.insurer1_date'?'selected':''?>>保险时间</option>
                </select>
                <select name="sort_value">
                    <option value="ASC" <?=$sort_value=='ASC'?'selected':''?>>顺序</option>
                    <option value="DESC" <?=$sort_value=='DESC'?'selected':''?>>倒序</option>
                </select>
                  
                区域类型：<select name="sort_type">
                    <option value="0" <?=$sort_type==0?'selected':''?>>全部数据</option>
                    <option value="1" <?=$sort_type==1?'selected':''?>>本区数据</option>
                    <option value="2" <?=$sort_type==2?'selected':''?>>本区数据1</option>
                    </select>
                <input type="button" class="act_btn" id="search-btn" name="search-btn" value="搜索">
            </td>
        </tr>
    </form>
</table>
<table width="98%" border="0" align="center" cellpadding="2" cellspacing="1" class="table">
    <tr>
        <td width="24" align="center" class="bg_tr">序号</td>
        <td width="50" align="center" class="bg_tr">预约日期</td>
        <td width="50" align="center" class="bg_tr">预约时间</td>
        <td width="70" align="center" class="bg_tr">车牌号</td>
        <td width="120" align="center" class="bg_tr">车主</td>
        <td width="70" align="center" class="bg_tr">初登日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>商业止保日期</td>
        <td width="100" align="center" class="bg_tr" nowrap>交强止保日期</td>
        <td width="200" align="center" class="bg_tr">预约备注</td>
        <td width="30" align="center" class="bg_tr">业务员</td>
        <td width="30" align="center" class="bg_tr">操作</td>
    </tr>
    <?php
    foreach($items as $index => $item) {
        $start_index = ($page-1) * 20 + $index;
        $car_info = $item->car;
        ?>
        <tr onMouseOver=overColor(this) onMouseOut=outColor(this)>
            <td align="center" class="td_bg"nowrap ><?=$start_index+1?></td>
            <td align="center" class="td_bg" nowrap><?=$item->pdate?></td>
            <td align="center" class="td_bg" nowrap><?=$item->ptime?></td>
            <td class="td_bg" nowrap><?=$car_info->car_no?></td>
            <td class="td_bg" nowrap><?=$car_info->car_man?></td>
            <td class="td_bg" nowrap><?=$car_info->register_date?></td>
            <td class="td_bg" nowrap><?=$car_info->insurer1_date?></td>
            <td class="td_bg" nowrap><?=$car_info->insurer2_date?></td>
            <td class="td_bg" ><?=MyLib::substr_cut($item->remark,40)?></td>
            <td class="td_bg" nowrap><?=$item->user?$item->user->getShowName():''?></td>
            <td align="center" class="td_bg" nowrap>
                [<a href="javascript:void(0);" onclick="info(<?=$item->car_id?>,<?=$start_index?>)">详情</a>]



            </td>
        </tr>
        <?php
    }
    ?>
    <tr>
        <td height="25" colspan="11" align="center" class="td_bg"><?=$page_info?></td>
    </tr>
</table>
